import {defineConfig} from "rollup";
import typescript from "@rollup/plugin-typescript";
import scss from 'rollup-plugin-scss'

export default defineConfig({
    external: ["dayjs", "next", "next-intl", "react"],
    input: ["src/date.ts", "src/language.ts", "src/fe-utilities.ts", "src/globals.scss"],
    plugins: [
        typescript({
            compilerOptions: {
                outDir: ".next",
                declaration: true,
            },
        }),
		scss({ fileName: 'globals.css' })
    ],
    output: {
        dir: ".next"
    },
});
